#!/usr/bin/perl -T
#$Id: PID_slow_control.pl,v 1.12 2015/05/29 13:43:18 sqko Exp $
use strict;
use warnings;
use RFC::Rig;
die "No rig specified!\n" unless (@ARGV);
sleep(10);
my $rig = RFC::Rig->new(shift);
$rig->check_run;
foreach my $name ($rig->list_devices('PID'))
{
    my $d = $rig->get_device('PID',$name);
    next if (!defined($d) || $d->fast); ## only handle the slow devices ##
    $d->control();
    $d->store();
}
$rig->DESTROY();


